# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyclutter
Version:        0.8.0
Release:        1%{?dist}
Summary:        Python modules that allow you to use the Clutter toolkit

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org/
Source0:        http://www.clutter-project.org/sources/%{name}/0.8/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildArch:      
BuildRequires:  pygtk2-devel gtk2-devel clutter-devel clutter-gst-devel clutter-gtk-devel gstreamer-python
BuildRequires:  clutter-cairo-devel

%description
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

%package gtk
Summary:        Python modules that allow you to use the Clutter-GTK toolkit
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-gtk
Requires:       pygtk2

%description gtk
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

This package provides the binding for clutter-gtk

%package gst
Summary:        Python modules that allow you to use the Clutter-GST toolkit
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-gst
Requires:       pygobject2
Requires:       gstreamer-python

%description gst
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

This package provides the binding for clutter-gst

%package cairo
Summary:        Python modules that allow you to use the Clutter-CAIRO toolkit
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-cairo
Requires:       pygobject2
Requires:       pycairo

%description cairo
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

This package provides the binding for clutter-cairo

%package devel
Summary:        Pyclutter development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python-devel clutter-devel pygobject2-devel

%description devel
Header files and libraries for building a extension library for the
Pyclutter

%prep
%setup -q -n %{name}-%{version}


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="%{__install} -p" 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{python_sitearch}/clutter
%exclude %{python_sitearch}/clutter/*.la
%{python_sitearch}/clutter/_clutter.so
%{python_sitearch}/clutter/__init__.py*
%{python_sitearch}/clutter/keysyms.py*
%{python_sitearch}/clutter/deprecation.py*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/defs
%{_datadir}/%{name}/defs/*.defs
%dir %{_datadir}/%{name}/1.0
%dir %{_datadir}/%{name}/1.0/defs
%{_datadir}/%{name}/1.0/defs/*.defs

%files gtk
%defattr(-,root,root,-)
%{python_sitearch}/cluttergtk

%files gst
%defattr(-,root,root,-)
%{python_sitearch}/cluttergst

%files cairo
%defattr(-,root,root,-)
%{python_sitearch}/cluttercairo


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/pyclutter-0.8.pc
%dir %{_includedir}/%{name}-1.0/
%dir %{_includedir}/%{name}-1.0/%{name}/
%{_includedir}/%{name}-1.0/%{name}/%{name}.h


%changelog

* Wed Oct 15 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0

* Wed Oct  8 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.8.0-0.1.20081008r3353
- Update to SVN snapshot of pyclutter 0.8 until official release comes out.
- Fixes broken deps.

* Thu Sep 11 2008 Jesse Keating <jkeating@redhat.com> - 0.6.2-4
- Rebuild for new clutter

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.6.2-3
- Fix unowned directory

* Wed May 28 2008 Allisson Azevedo <allisson@gmail.com> 0.6.2-2
- Rebuild against clutter-cairo

* Tue May 20 2008 Allisson Azevedo <allisson@gmail.com> 0.6.2-1
- Update to 0.6.2

* Fri Feb 22 2008 Allisson Azevedo <allisson@gmail.com> 0.6.0-1
- Update to 0.6.0

* Sat Dec 15 2007 Daniel P. Berrange <berrange@redhat.com> - 0.4.2-2.fc8
- Added sub-packages for gtk and gst bindings (rhbz #365981)

* Wed Oct  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.1-1
- Update to 0.4.1

* Sun Mar 29 2007 Allisson Azevedo <allisson@gmail.com> 0.2.0-5
- Fix requires for devel package

* Sun Mar 28 2007 Allisson Azevedo <allisson@gmail.com> 0.2.0-4
- Fix requires and buildrequires
- Modify defattr for devel package

* Sun Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 0.2.0-3
- Fix .spec

* Sun Mar 24 2007 Allisson Azevedo <allisson@gmail.com> 0.2.0-2
- Fix .spec

* Sun Mar 23 2007 Allisson Azevedo <allisson@gmail.com> 0.2.0-1
- Initial RPM release
